-- TestBench Template 

  LIBRARY ieee;
  USE ieee.std_logic_1164.ALL;
  USE ieee.numeric_std.ALL;

  ENTITY testbench IS
  END testbench;

  ARCHITECTURE behavior OF testbench IS 

    -- Component Declaration
    COMPONENT computer
    PORT(
      clk : IN std_logic;
      clr : IN std_logic;
      din : IN std_logic_vector(3 downto 0);
      dout: OUT std_logic_vector(7 downto 0)	);
    END COMPONENT;

    SIGNAL clk  : std_logic;
    SIGNAL clr  : std_logic;     
    SIGNAL din  : std_logic_vector(3 downto 0);
    SIGNAL dout : std_logic_vector(7 downto 0);
	 
  BEGIN

    -- Component Instantiation
    uut: computer PORT MAP(
      clk  => clk,
      clr  => clr,
      din  => din,
      dout => dout );

    clock : PROCESS
    BEGIN
	   clk <= '0';
		wait for 10 ns;
	   clk <= '1';
		wait for 10 ns;		
    END PROCESS clock;
	 
    reset : PROCESS
    BEGIN
	   clr <= '1';
		wait for 200 ns;
	   clr <= '0';
		wait;		
    END PROCESS reset;	 
	 
	 tb: PROCESS
	 BEGIN
	   din <= "0000";
	   wait;
	 END PROCESS;

  END;
